## org.biojava.bio
Class BeanAsAnnotation

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.AbstractAnnotation
              org.biojava.bio.BeanAsAnnotation

All Implemented Interfaces:
  Annotation, Changeable, java.io.Serializable

public class BeanAsAnnotation
extends AbstractAnnotation

Create an Annotation with properties matching those of a JavaBean instance. Note: this class is experimental and only partialy implemented.

Since:
  1.3
Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.biojava.bio.Annotation
`EMPTY_ANNOTATION, PROPERTY`

Constructor Summary
`BeanAsAnnotation(java.lang.Object bean)` Create a new BeanAsAnnotation for a bean.

Method Summary
`protected java.util.Map` `getProperties()` Implement this to return the Map delegate.
`protected boolean` `propertiesAllocated()` A convenience method to see if we have allocated the properties Map.

Methods inherited from class org.biojava.bio.AbstractAnnotation
`asMap, containsProperty, equals, getProperty, hashCode, keys, removeProperty, setProperty, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### BeanAsAnnotation

    public BeanAsAnnotation(java.lang.Object bean)
                     throws java.beans.IntrospectionException

  Create a new BeanAsAnnotation for a bean.

Parameters:
  `bean` - the JavaBean to view

Method Detail

### getProperties

    protected final java.util.Map getProperties()

  Description copied from class: `AbstractAnnotation`
  Implement this to return the Map delegate. From code in the 1.2 version of AbstractAnnotation

  Specified by:
    `getProperties` in class `AbstractAnnotation`

### propertiesAllocated

    protected final boolean propertiesAllocated()

  Description copied from class: `AbstractAnnotation`
  A convenience method to see if we have allocated the properties Map.

  Specified by:
    `propertiesAllocated` in class `AbstractAnnotation`
  Returns:
    true if the properties have been allocated, false otherwise